> ## Documentation Index
> Fetch the complete documentation index at: https://docs.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Transactions associated to an account

> Get All Transactions for an account.



## OpenAPI

````yaml /marketONE/Amdocs_Media-Commerce-Gateway.yaml get /v1/externalBilling/transactions
openapi: 3.0.1
info:
  title: ULM Storefront Gateway
  description: >
    These APIs allow clients to perform purchase and payment method management;
    OTT service and billing authorization operations. These APIs require a user
    access token. The APIs are thus aware of and therefore authorized by this
    ULM context (a user's entitlements as defined in the ULM platform service).


    <b>The following tracing headers can be used for all APIs:</b>


    X-B3-TraceId: The TraceId indicates the overall ID of the trace. Every span
    in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16
    lower-hex characters. For example, a 128-bit TraceId header might look like
    463ac35c9f6413ad48485a3953bb6124.


    X-B3-SpanId: The SpanId is 64-bit in length and indicates the position of
    the current operation in the trace tree. The value should not be
    interpreted; it may or may not be derived from the value of the TraceId. The
    X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a
    SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the
    Sampling State, the X-B3-SpanId header is required.


    X-B3-ParentSpanId: The ParentSpanId is 64-bit in length and indicates the
    position of the parent operation in the trace tree. When the span is the
    root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId
    header may be present on a child span and must be absent on the root span.
    It is encoded as 16 lower-hex characters. For example, a ParentSpanId header
    might look like 0020000000000001.


    <b>The APIs can be accessed via a tenant specific domain or the
    X-Aggregator-Code header must specify a MarketONE organization code:</b>


    X-Aggregator-Code: The aggregator organization code. Organization code must
    be provided either via HTTP header or query parameter. If both are provided,
    HTTP header will be used.


    aggregatorCode: The aggregator organization code. Organization code must be
    provided either via HTTP header or query parameter. If both are provided,
    HTTP header will be used.
  version: Latest
servers:
  - url: https://default.ulm.stg.m1amdocs.io/storefront
security:
  - bearerAuth: []
paths:
  /v1/externalBilling/transactions:
    get:
      tags:
        - transactions
      summary: Get All Transactions associated to an account
      description: Get All Transactions for an account.
      operationId: getMerchantManagedTransactions
      parameters:
        - name: accountId
          in: query
          description: the account id
          required: true
          style: form
          explode: true
          schema:
            type: string
        - name: orderBy
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
            default: '-chargedDate'
          x-allowableValues:
            - chargedDate
        - name: filters
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: page
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: integer
            default: 0
        - name: size
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: integer
            default: 50
      responses:
        '200':
          description: |
            *OK* - Transaction information successfully retrieved
          content:
            application/json:
              schema:
                type: array
                items:
                  anyOf:
                    - $ref: '#/components/schemas/ManagedTransactionResponse'
                    - type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Model401Error'
        '403':
          description: Authorization Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Model403Error'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Model404Error'
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Model500Error'
components:
  schemas:
    ManagedTransactionResponse:
      type: object
      properties:
        id:
          type: string
          description: The Unique PLM Transaction ID
        cspContext:
          maxLength: 255
          type: string
          description: External BSS payment description
        partnerOrganizationCode:
          maxLength: 36
          type: string
        partnerTransactionId:
          maxLength: 255
          type: string
          description: External partner payment identifier
        chargedDate:
          type: string
          description: Date the payment transaction is charged
        currency:
          pattern: ^[A-Z]{3}$
          type: string
          description: The currency of the amount
          format: ISO 4217
        amount:
          type: string
          description: The amount to be charged to the end customer
        status:
          maxLength: 20
          type: string
          description: Status of the transaction once processed
        cspErrorCode:
          type: string
          description: Error code from CSP
        statusCode:
          type: string
          description: The status code
        accountId:
          type: string
        accountEntityId:
          type: string
          description: Account ID
        metadata:
          $ref: '#/components/schemas/V2Metadata'
        items:
          type: array
          description: >-
            The array of Transaction Items belonging to this transaction. Items
            correspond to the charges.There will be 2 separate items - One for
            the actual amount and other for tax amount.
          items:
            $ref: '#/components/schemas/ManagedTransactionItems'
        billing_descriptor:
          type: string
          description: Optional "soft descriptor" to send to the CSP for this transaction.
        original_billing_date:
          type: string
          description: >-
            The original scheduled billing date associated with the billing for
            which this transaction collects funds. For an initial attempt, this
            is the same as the transaction date; for a retry transaction this is
            the original attempt date.
          format: datetime
    Model401Error:
      required:
        - code
      type: object
      properties:
        code:
          type: string
          enum:
            - authentication-required
            - invalid-api-key
            - api-key-not-found
        message:
          type: string
    Model403Error:
      required:
        - code
      type: object
      properties:
        code:
          type: string
          enum:
            - forbidden
            - access-denied
            - invalid-scope
            - not-permitted
        message:
          type: string
    Model404Error:
      required:
        - code
      type: object
      properties:
        code:
          type: string
          enum:
            - not-found
        message:
          type: string
    Model500Error:
      required:
        - code
      type: object
      properties:
        code:
          type: string
          enum:
            - server-error
        message:
          type: string
    V2Metadata:
      type: object
      additionalProperties:
        type: string
      description: >-
        A set of key/value pairs that you can attach to an object. Useful for
        exchanging additional information.
    ManagedTransactionItems:
      required:
        - code
        - tax_classification
        - total
      type: object
      properties:
        code:
          type: string
          description: >-
            The unique identifier of the product purchased with this item. This
            value must match one of the OTT service product codes defined in
            MarketONE or TOTAL_TAX for tax transaction items.
        name:
          type: string
          description: Name of the product purchased.
        price:
          type: number
          description: unit price of this item
        quantity:
          type: number
          description: The unit quantity for the item.
        metadata:
          $ref: '#/components/schemas/V2Metadata'
        tax_classification:
          type: string
          description: The tax code or classification applicable to this item.
        total:
          type: number
          description: The grand total of this item
  securitySchemes:
    bearerAuth:
      type: oauth2
      description: OAuth 2.0 Authentication
      flows:
        authorizationCode:
          authorizationUrl: /oidc/authorize
          tokenUrl: /oidc/token
          scopes:
            storefront: gives access to user api in storefront
            storefront-csr: gives access to some csr api in storefront
            m2m.storefront.csr.manage: Allows the machine to create and manage(CRUD)
            m2m.storefront.csr.read: Allows the machine to read data only

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.